{
  "http_interactions": [
    {
      "recorded_at": "2016-03-13T01:22:24",
      "request": {
        "body": {
          "encoding": "utf-8",
          "string": "grant_type=client_credentials"
        },
        "headers": {
          "Accept": "*/*",
          "Accept-Encoding": "gzip, deflate",
          "Authorization": "Basic <BASIC_AUTH>",
          "Connection": "keep-alive",
          "Content-Length": "29",
          "Content-Type": "application/x-www-form-urlencoded",
          "User-Agent": "<USER_AGENT> PRAW/4.0.0a1 prawcore/0.0.5"
        },
        "method": "POST",
        "uri": "https://www.reddit.com/api/v1/access_token"
      },
      "response": {
        "body": {
          "base64_string": "H4sIAAAAAAAAA6tWSkxOTi0uji/Jz07NU7JSUNINNvbMMQ8sMo4yqwgLiY8MDC9KLPPzT3XNrDJQ0lFQAiuML6ksSAWpTkpNLEotAomnVhRkFqUWx2eCTDE2MzDQUVAqTs6HKNNSqgUAO0PQZGoAAAA=",
          "encoding": "UTF-8",
          "string": ""
        },
        "headers": {
          "CF-RAY": "282bacb7ba873982-PHX",
          "Connection": "keep-alive",
          "Content-Encoding": "gzip",
          "Content-Type": "application/json; charset=UTF-8",
          "Date": "Sun, 13 Mar 2016 01:22:24 GMT",
          "Server": "cloudflare-nginx",
          "Set-Cookie": "__cfduid=dee9216dbe9f30e636152beedb48c01791457832144; expires=Mon, 13-Mar-17 01:22:24 GMT; path=/; domain=.reddit.com; HttpOnly",
          "Strict-Transport-Security": "max-age=15552000; includeSubDomains; preload",
          "Transfer-Encoding": "chunked",
          "X-Moose": "majestic",
          "cache-control": "max-age=0, must-revalidate",
          "x-content-type-options": "nosniff",
          "x-frame-options": "SAMEORIGIN",
          "x-xss-protection": "1; mode=block"
        },
        "status": {
          "code": 200,
          "message": "OK"
        },
        "url": "https://www.reddit.com/api/v1/access_token"
      }
    },
    {
      "recorded_at": "2016-03-13T01:22:24",
      "request": {
        "body": {
          "encoding": "utf-8",
          "string": ""
        },
        "headers": {
          "Accept": "*/*",
          "Accept-Encoding": "gzip, deflate",
          "Authorization": "bearer -S3Il7Qr3Z6xVT_YQWravNOeEiz0",
          "Connection": "keep-alive",
          "Cookie": "loidcreated=2016-03-13T01%3A22%3A24.634Z; loid=7BNAA1lY7gSYRbjxmg; __cfduid=dee9216dbe9f30e636152beedb48c01791457832144",
          "User-Agent": "<USER_AGENT> PRAW/4.0.0a1 prawcore/0.0.5"
        },
        "method": "GET",
        "uri": "https://oauth.reddit.com/r/randnsfw/?unique=0&raw_json=1"
      },
      "response": {
        "body": {
          "encoding": "UTF-8",
          "string": "<html>\n <head>\n  <title>302 Found</title>\n </head>\n <body>\n  <h1>302 Found</h1>\n  The resource was found at <a href=\"https://oauth.reddit.com/r/LaBeauteFeminine/.json?unique=0&amp;raw_json=1\">https://oauth.reddit.com/r/LaBeauteFeminine/.json?unique=0&amp;raw_json=1</a>;\nyou should be redirected automatically.\n\n\n </body>\n</html>"
        },
        "headers": {
          "CF-RAY": "282bacb9490239d0-PHX",
          "Connection": "keep-alive",
          "Content-Length": "329",
          "Content-Type": "text/html; charset=UTF-8",
          "Date": "Sun, 13 Mar 2016 01:22:24 GMT",
          "Server": "cloudflare-nginx",
          "Strict-Transport-Security": "max-age=15552000; includeSubDomains; preload",
          "X-Content-Type-Options": "nosniff",
          "X-Moose": "majestic",
          "cache-control": "max-age=0, must-revalidate",
          "location": "https://oauth.reddit.com/r/LaBeauteFeminine/.json?unique=0&raw_json=1",
          "x-ua-compatible": "IE=edge"
        },
        "status": {
          "code": 302,
          "message": "Found"
        },
        "url": "https://oauth.reddit.com/r/randnsfw/?unique=0&raw_json=1"
      }
    },
    {
      "recorded_at": "2016-03-13T01:22:25",
      "request": {
        "body": {
          "encoding": "utf-8",
          "string": ""
        },
        "headers": {
          "Accept": "*/*",
          "Accept-Encoding": "gzip, deflate",
          "Authorization": "bearer -S3Il7Qr3Z6xVT_YQWravNOeEiz0",
          "Connection": "keep-alive",
          "Cookie": "loidcreated=2016-03-13T01%3A22%3A24.634Z; loid=7BNAA1lY7gSYRbjxmg; __cfduid=dee9216dbe9f30e636152beedb48c01791457832144",
          "User-Agent": "<USER_AGENT> PRAW/4.0.0a1 prawcore/0.0.5"
        },
        "method": "GET",
        "uri": "https://oauth.reddit.com/r/LaBeauteFeminine/about/?raw_json=1"
      },
      "response": {
        "body": {
          "base64_string": "[encoded data, 5444 characters]",
          "encoding": "UTF-8",
          "string": ""
        },
        "headers": {
          "CF-RAY": "282bacba090439d0-PHX",
          "Connection": "keep-alive",
          "Content-Encoding": "gzip",
          "Content-Length": "4081",
          "Content-Type": "application/json; charset=UTF-8",
          "Date": "Sun, 13 Mar 2016 01:22:25 GMT",
          "Server": "cloudflare-nginx",
          "Strict-Transport-Security": "max-age=15552000; includeSubDomains; preload",
          "Vary": "accept-encoding",
          "X-Moose": "majestic",
          "access-control-allow-origin": "*",
          "access-control-expose-headers": "X-Reddit-Tracking, X-Moose",
          "cache-control": "max-age=0, must-revalidate",
          "x-content-type-options": "nosniff",
          "x-frame-options": "SAMEORIGIN",
          "x-reddit-tracking": "https://pixel.redditmedia.com/pixel/of_destiny.png?v=r0x2kH%2BtUikKvwPgHPVSZrKv9lq1YsuJ%2FSBO4pw4HcEeHhGUPWTFhiUdnQHpWwe1pSqAiJ0j2OolA%2Fpce%2BoHjNoO%2FdkFmgFF",
          "x-ua-compatible": "IE=edge",
          "x-xss-protection": "1; mode=block"
        },
        "status": {
          "code": 200,
          "message": "OK"
        },
        "url": "https://oauth.reddit.com/r/LaBeauteFeminine/about/?raw_json=1"
      }
    }
  ],
  "recorded_with": "betamax/0.5.1"
}
